#include <iostream>
using namespace std;
main(){
	int n,k,t,b=0;
	cin>>n>>k;
	int a[2*n];
	for(int y = 0;y<2*n;y++){
		a[y]=0;
	}
	for(int i = 0;i<n;i++){
		cin>>t;
		a[t+6]++;
	}
	for(int c = 0;c<2*n;c++){
		if(a[c]>=k){
			b++;
		}
	}
	cout<<b<<endl;
	for(int g = 0;g<2*n;g++){
		if(a[g]>=k){
			cout<<g-6<<" ";
		}
	}
}